<?php
/**
 * Golf Country Club: Block Patterns
 *
 * @since Golf Country Club 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Golf Country Club 1.0
 *
 * @return void
 */
function golf_country_club_register_block_patterns() {
	$golf_country_club_block_pattern_categories = array(
		'golf-country-club'    => array( 'label' => __( 'Golf Country Club', 'golf-country-club' ) ),
	);

	$golf_country_club_block_pattern_categories = apply_filters( 'golf_country_club_block_pattern_categories', $golf_country_club_block_pattern_categories );

	foreach ( $golf_country_club_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'golf_country_club_register_block_patterns', 9 );
